Browse Source

[goal] Migrate testing to ubuntu focal

As per victoria cycle testing runtime and community goal[1]
we need to migrate upstream CI/CD to Ubuntu Focal(20.04).

Fixing:
- Bump the lower constraints for required deps which added python3.8 support
in their later version.

Story: #2007865
Task: #40207

[1] https://governance.openstack.org/tc/goals/selected/victoria/migrate-ci-cd-jobs-to-ubuntu-focal.h>

Change-Id: I978482f860a766c474944c77e2c569541f4849b1
tags/8.4.0^0
Ghanshyam Mann 1 month ago
parent
commit
e42c73343f
3 changed files with 7 additions and 7 deletions
  1. +5
    -5
      lower-constraints.txt
  2. +1
    -1
      setup.cfg
  3. +1
    -1
      test-requirements.txt

+ 5
- 5
lower-constraints.txt View File

@@ -2,7 +2,7 @@ alembic==0.9.6
appdirs==1.3.0
Babel==2.3.4
bandit==1.4.0
cffi==1.7.0
cffi==1.14.0
cliff==2.8.0
cmd2==0.8.0
coverage==4.0
@@ -14,12 +14,12 @@ fixtures==3.0.0
future==0.16.0
gitdb==0.6.4
GitPython==1.0.1
greenlet==0.4.10
greenlet==0.4.15
iso8601==0.1.11
keystoneauth1==3.4.0
linecache2==1.0.0
Mako==0.4.0
MarkupSafe==1.0
MarkupSafe==1.1.1
monotonic==0.6
netaddr==0.7.18
netifaces==0.10.4
@@ -32,7 +32,7 @@ oslotest==3.2.0
pbr==2.0.0
pifpaf==0.10.0
prettytable==0.7.2
psycopg2==2.7.0
psycopg2==2.8.0
pycparser==2.18
PyMySQL==0.7.6
pyparsing==2.1.0
@@ -41,7 +41,7 @@ python-editor==1.0.3
python-mimeparse==1.6.0
python-subunit==1.0.0
pytz==2013.6
PyYAML==3.12
PyYAML==3.13
requests==2.14.2
requestsexceptions==1.2.0
rfc3986==0.3.1


+ 1
- 1
setup.cfg View File

@@ -27,7 +27,7 @@ mysql =
PyMySQL>=0.7.6 # MIT License
# or oslo.db[postgresql]
postgresql =
psycopg2>=2.7.0 # LGPL/ZPL
psycopg2>=2.8.0 # LGPL/ZPL

[files]
packages =


+ 1
- 1
test-requirements.txt View File

@@ -13,4 +13,4 @@ testtools>=2.2.0 # MIT
bandit>=1.6.0,<1.7.0 # Apache-2.0
pifpaf>=0.10.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
psycopg2>=2.7.0 # LGPL/ZPL
psycopg2>=2.8.0 # LGPL/ZPL

Loading…
Cancel
Save